import 'package:bmcommons/bmcommons.dart';
import 'package:flutter/material.dart';
import 'package:velocity_components/constants/_constants.dart';

class DrawerTile extends StatelessWidget {
  final String title;
  final IconData icon;
  final VoidCallback onPressed;
  final bool selected;

  const DrawerTile({Key key, this.title, this.icon, this.onPressed, this.selected = false})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: onPressed,
      child: Container(
        height: 56,
        color: selected ? lightBlue : Colors.white,
        child: Row(
          mainAxisAlignment: MainAxisAlignment.center,
          crossAxisAlignment: CrossAxisAlignment.center,
          children: [
            Container(
              width: 3,
              color: selected ? darkBlue : Colors.white,
            ),
            HorizontalSpacing(),
            Icon(icon, color: selected ? darkBlue : Colors.grey[350]),
            HorizontalSpacing(16),
            Expanded(
              child: Text(
                title,
                style: headline5.copyWith(color: selected ? darkBlue : Colors.grey[350]),
              ),
            ),
          ],
        ),
      ),
    );
  }
}
